/*
AppleScript Calls for RealPlayer on the Macintosh
Copyright © 2005 Harry Whitfield

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function openRP(url)	// open RP if necessary, then open and play the stream with URL url
{
	var script  = 'tell application "RealPlayer"\n';
		script += 'open clip with URL "' + url + '"\n';
		script += 'set res to number of players as string\n';
		script += 'end tell\n';
		script += 'get res\n';
			
	var e = appleScript(script, 10);
	if (e.indexOf("AppleScript Error") >= 0)
	{
	  //beep();
	  //alert( "Unable to open RealPlayer: " + e );
		print( "Unable to open RealPlayer: " + e );
		return null;
	}
	else { return e; }	// return the player number as a string
}

function stateRP(Player)	// get state of player Player
{
	var script  = 'tell application "RealPlayer"\n';
		script += 'set res to ""\n';
		script += 'set res to res & state of player ' + Player + '\n';
		script += 'end tell\n';
		script += 'get res\n';

	var e = appleScript(script, 10);
	if (e.indexOf("AppleScript Error") >= 0)
	{
	  //beep();
	  //alert( "Unable to get RealPlayer state: " + e );
		print( "Unable to get RealPlayer state: " + e );
		return "";
	}
	else { return e; }	// return the state: loading/paused/contacting/not loaded/stopped/playing of player Player
}

function controlRP(Player, action)	// action: pause/stop/play -- control action
{
	var script  = 'tell application "RealPlayer"\n';
		script += action + ' player ' + Player + '\n';
		script += 'set res to ""\n';
		script += 'set res to res & state of player ' + Player + '\n';
		script += 'end tell\n';
		script += 'get res\n';
	
	var e = appleScript(script, 10);
	if (e.indexOf("AppleScript Error") >= 0)
	{
	  //beep();
	  //alert( "Unable to control RealPlayer: " + e );
		print( "Unable to control RealPlayer: " + e );
		return "";
	}
	else { return e; }	// return the state of player Player
}

function playersRP()	// get number of players
{
	var script  = 'tell application "RealPlayer"\n';
		script += 'set res to number of players as string\n';
		script += 'end tell\n';
		script += 'get res\n';
			
	var e = appleScript(script, 10);
	if (e.indexOf("AppleScript Error") >= 0)
	{
	  //beep();
	  //alert( "Unable to get number of players from RealPlayer: " + e );
		print( "Unable to get number of players from RealPlayer: " + e );
		return "0";
	}
	else { return e; }	// return the number of players number as a string
}

function closeRP(Player)	// close RealPlayer if there are no other users
{
	if (playersRP() != "1") { return "not closed"; }
	
	var script  = 'tell application "RealPlayer" to quit\n';
			
	var e = appleScript(script, 10);
	if (e.indexOf("AppleScript Error") >= 0)
	{
	  //beep();
	  //alert( "Unable to close RealPlayer: " + e );
		print( "Unable to close RealPlayer: " + e );
		return "";
	}
	else { return "closed"; }
}
