/*
COM Calls for RealPlayer on Windows
Copyright © 2005 John Hinds and Harry Whitfield

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
St, Fifth Floor, Boston, MA  02110-1301  USA
*/

var playerState = "not loaded";

function openRP(url)	// open and play the stream with URL url
{
	try
	{
		var Player = COM.createObject('rmocx.RealPlayer G2 Control');
		COM.connectObject( Player, "RealPlay" );
		Player.SetSource(url);
		Player.DoPlay();
		playerState = "playing";	// we hope!
		return Player;
	}
	catch(e)
	{
	  //beep();
	  //alert( "Unable to open RealPlayer: " + e );
		print( "Unable to open RealPlayer: " + e );
		return null;
	}
}

function stateRP(Player)	// get state of player Player
{
	return playerState;
}

function controlRP(Player, action)		// action: pause/stop/play -- control action
{
	try
	{
		switch (action)
		{
			case "play":
				Player.DoPlay();			// NB. the Player.SetSource(url) has been removed
				playerState = "playing";	// we hope!
				break;
			
			case "pause":
				Player.DoPause();			// NB. check that there is such a command
				playerState = "paused";
				break;

			case "stop":
				Player.DoStop();
				playerState = "stopped";	// we hope!
				break;
			
			default:
				Player.DoStop();
				playerState = "stopped";	// we hope!
				break;
		}
		return playerState;	// return the state of player Player
	}
	catch(e)
	{
	  //beep();
	  //alert( "Unable to control RealPlayer: " + e );
		print( "Unable to control RealPlayer: " + e );
		return "";
	}
}

function closeRP(Player)
{
	try
	{
		Player.DoStop();
		playerState = "stopped";	// we hope!
		COM.disconnectObject( Player );
		Player = null;				// release the COM object
		return "closed";
	}
	catch(e)
	{
	  //beep();
	  //alert( "Unable to close RealPlayer: " + e );
		print( "Unable to close RealPlayer: " + e );
		return "";
	}
}
